libzypp 17.37.10

ProductFileReader.h File Reference
`#include <iosfwd>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Function.h>`
`#include <utility>`
`#include <zypp-core/base/InputStream>`
`#include <zypp/Pathname.h>`
`#include <zypp/IdString.h>`
`#include <zypp/Edition.h>`
`#include <zypp/Arch.h>`

Go to the source code of this file.

## Classes
class | zypp::parser::ProductFileData
| Data returned by ProductFileReader. More...
struct | zypp::parser::ProductFileData::Upgrade
class | zypp::parser::ProductFileReader
| Parser for /etc/products.d enries (just relevant entires). More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::parser